<?php
/**
 * Template Name: Contact
 *
 * @since Reef
 */
get_header(); 
reef_inner_banner();
/**
* Prints out the default page content markup
*
* @since Reef 0.1
* @hooked reef_render_compact_page_content - 10
*/
do_action( 'reef_page_compact_content' );

$settings = array( 
	'location_page' => 'fa-map-marker', 
	'enquiry_page' => 'fa-globe',
	'call_us_page' => 'fa-phone' 
);

$post_ids = array();
$icons = array();

foreach( $settings as $key => $icon ){

	$value = absint( reef_get_option( $key ) );

	if( $value > 0 ){

		foreach( $settings as $temp_key => $temp_icon ){
			if( $key == $temp_key ){ 
				$icons[ $value ] = $icon;
			}
		}
		
        $post_ids[] = $value;
    }
}

$icons = apply_filters( 'reef_contact_pages_icons', $icons );
$shortcode = reef_get_option( 'contact_form_shortcode' );

if( count( $post_ids ) > 0 || !empty( $shortcode ) ) :
?>
<section class="wrapper block-contact">
	<div class="row">
		<?php if( !empty( $shortcode ) ): ?>
			<div class="col-xs-12 <?php echo esc_attr( count( $post_ids ) > 0 ? 'col-sm-6 col-md-6' : '' ); ?>">
				<!-- contact form section -->
				<div class="kt-contact-form">
					<?php  echo do_shortcode( $shortcode ); ?>
				</div>
			</div>
		<?php endif; ?>

		<?php if( count( $post_ids ) > 0 ): ?>
			<div class="col-xs-12 <?php echo esc_attr( ( !empty( $shortcode ) ) ? 'col-sm-6 col-md-6':'' ); ?>">
				<div class="contact-detail">
				<?php 
				$query = new WP_Query( apply_filters( 'reef_contact_query_args', array(
	                'post__in'    => $post_ids,
	                'post_type'   => 'page',
	                'orderby'     => 'post__in',
	                'post_status' => 'publish'
	    		) ) );
	    		while( $query->have_posts() ){ 
	        		$query->the_post(); ?>
					<div class="col-xs-12 col-sm-12 col-md-12">
						<div class="list">
							<div class="icon-area">
								<i class="fa <?php echo esc_attr( $icons[ get_the_ID() ] ); ?>"></i>
							</div>
							<div class="detail">
								<?php the_title( '<h3 class="title">', reef_edit_link( false ) . '</h3>' );?>
								<div class="text"><?php the_content(); ?></div>
							</div>
						</div>
					</div>
					<?php } wp_reset_postdata(); ?>
				</div>
			</div>
		<?php endif; ?>
	</div>
</section>
<?php
endif;
get_footer();