<?php
/**
* hooked testimonial
*
* @since Reef 0.1
*/
function reef_testimonial(){

    # Show testimonial only in home page
    if( ! reef_get_option( 'disable_testimonial' ) && ( is_home() || is_front_page() ) ){
    	$post_ids = array();
    	for( $i = 1; $i <= 3; $i++ ){
    	    $value = absint( reef_get_option( 'testimonial_page_id_' . $i ) );
    	    if( $value > 0 ){
                array_push( $post_ids, $value );
    	    }
    	}
    	    
    	if( count( $post_ids ) > 0 ):
?>
    	   <!-- testimonial slider section-->
           <section class="wrapper wrap-testimonial">
               <div class="container">
                   <div class="row">
                       <?php 
                       global $post; 
                       foreach ( $post_ids as $post_id ): 
                           $post = get_post( $post_id );
                           setup_postdata( $post );
                           if( 'publish' == get_post_status() || 'auto-draft' == get_post_status() ):
                       ?>
                           <div class="col-xs-12 col-sm-12 col-md-4 testimonial-item">
                               <article <?php post_class( 'post-content' ); ?>>
                                   <div class="post-content-inner">
                                       <div class="edit-link-outer">
                                           <?php reef_edit_link(); ?>
                                       </div>
                                       <div class="divider divider-open">
                                         <span>
                                             <i class="fa fa-quote-left"></i>
                                         </span>
                                       </div>
                                       <div class="post-text"><?php echo get_the_content(); ?></div>
                                       <header class="post-title">
                                          <div class="divider">
                                            <span>
                                                <i class="fa fa-quote-right"></i>
                                            </span>
                                          </div>
                                           <?php the_title( '<h3>', '</h3>' ); ?>
                                       </header>
                                       <footer class="post-footer">
                                       <?php
                                           if(  '' !== get_the_post_thumbnail() ){
                                               the_post_thumbnail( 'reef-testimonial-thumb' ); 
                                           }else{
                                               $feat_image_url = reef_get_dummy_image( array(
                                                   'size' => 'reef-testimonial-thumb' 
                                               ) );
                                               echo sprintf( '<img src="%s">', $feat_image_url );
                                            }
                                       ?>
                                       </footer>
                                   </div>
                               </article>
                           </div>
                       <?php endif; endforeach; wp_reset_postdata(); ?>        
                  </div>
              </div>
           </section> 
    	<?php
    	endif;
    }
}
add_action( 'reef_after_content', 'reef_testimonial' );