<?php
/**
* Loads all the components related to customizer 
*
* @since Reef 0.1
*/
require get_parent_theme_file_path( '/modules/customizer/framework/customizer.php' );
require get_parent_theme_file_path( '/modules/customizer/panels/panels.php' );
require get_parent_theme_file_path( '/modules/customizer/sections/sections.php' );
require get_parent_theme_file_path( '/modules/customizer/settings/general.php' );
require get_parent_theme_file_path( '/modules/customizer/settings/homepage.php' );
require get_parent_theme_file_path( '/modules/customizer/settings/page-templates.php' );
require get_parent_theme_file_path( '/modules/customizer/defaults/keon-defaults.php' );


function reef_modify_default_settings( $wp_customize ){

	$wp_customize->get_setting( 'blogname' )->transport = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport = 'postMessage';
	$wp_customize->get_setting( 'background_color' )->transport = 'postMessage';
	$wp_customize->get_control( 'background_color' )->label = esc_html__( 'Background', 'reef' );
}
add_action( 'reef_customize_register', 'reef_modify_default_settings' );

function reef_default_styles(){

	$show_title       = reef_get_option( 'show_title' );
	$show_tagline     = reef_get_option( 'show_tagline' );
	$site_title_color = reef_get_option( 'site_title_color' );
	$primary_color    = reef_get_option( 'site_primary_color' );
	?>
	<style type="text/css">

		<?php if( ! $show_title ): ?>
			.site-title{
				display: none;
			}
		<?php endif; ?>

		<?php if( ! $show_tagline ): ?>
			.site-description{
				display: none;
			}
		<?php endif; ?>
		
		/*======================================*/
		/* Site title */
		/*======================================*/
		.site-header .site-branding .site-title a,
		.site-header .site-branding a {
			color: <?php echo esc_attr($site_title_color); ?>;
		} 

		/*======================================*/
		/* Primary color */
		/*======================================*/
		button, input[type='button'], input[type='reset'], input[type='submit'], .button, .button-outline, mark, ins, .page-numbers.current, .page-numbers:hover.current, .page-numbers:focus.current, .page-numbers:active.current, .infinite-scroll #infinite-handle span, body.bbpress .bbp-submit-wrapper .button:hover, body.bbpress .bbp-submit-wrapper .button-outline:hover, body.bbpress .bbp-submit-wrapper .comments-area .comment-list .reply a:hover, .comments-area .comment-list .reply body.bbpress .bbp-submit-wrapper a:hover, body.bbpress .bbp-submit-wrapper .comments-area .comment-list .reply a i:hover, .comments-area .comment-list .reply a body.bbpress .bbp-submit-wrapper i:hover, body.bbpress .bbp-submit-wrapper a .comments-area .comment-list .reply i:hover, a .comments-area .comment-list .reply body.bbpress .bbp-submit-wrapper i:hover, body.bbpress .bbp-submit-wrapper .button:focus, body.bbpress .bbp-submit-wrapper .button-outline:focus, body.bbpress .bbp-submit-wrapper .comments-area .comment-list .reply a:focus, .comments-area .comment-list .reply body.bbpress .bbp-submit-wrapper a:focus, body.bbpress .bbp-submit-wrapper .comments-area .comment-list .reply a i:focus, .comments-area .comment-list .reply a body.bbpress .bbp-submit-wrapper i:focus, body.bbpress .bbp-submit-wrapper a .comments-area .comment-list .reply i:focus, a .comments-area .comment-list .reply body.bbpress .bbp-submit-wrapper i:focus, body.bbpress .bbp-submit-wrapper .button:active, body.bbpress .bbp-submit-wrapper .button-outline:active, body.bbpress .bbp-submit-wrapper .comments-area .comment-list .reply a:active, .comments-area .comment-list .reply body.bbpress .bbp-submit-wrapper a:active, body.bbpress .bbp-submit-wrapper .comments-area .comment-list .reply a i:active, .comments-area .comment-list .reply a body.bbpress .bbp-submit-wrapper i:active, body.bbpress .bbp-submit-wrapper a .comments-area .comment-list .reply i:active, a .comments-area .comment-list .reply body.bbpress .bbp-submit-wrapper i:active, body.single article.hentry .post-text .page-links > .page-number, .page article.hentry .post-text .page-links > .page-number, #blog-post article.hentry .post-text .page-links > .page-number, .search article.hentry .post-text .page-links > .page-number, .archive article.hentry .post-text .page-links > .page-number, .tag article.hentry .post-text .page-links > .page-number, .category article.hentry .post-text .page-links > .page-number, article.hentry #ak-blog-post .post-text .page-links > .page-number, body.single article.hentry .post-text .page-links > .page-number:hover, body.single article.hentry .post-text .page-links > .page-number:focus, body.single article.hentry .post-text .page-links > .page-number:active, .page article.hentry .post-text .page-links > .page-number:hover, .page article.hentry .post-text .page-links > .page-number:focus, .page article.hentry .post-text .page-links > .page-number:active, #blog-post article.hentry .post-text .page-links > .page-number:hover, #blog-post article.hentry .post-text .page-links > .page-number:focus, #blog-post article.hentry .post-text .page-links > .page-number:active, .search article.hentry .post-text .page-links > .page-number:hover, .search article.hentry .post-text .page-links > .page-number:focus, .search article.hentry .post-text .page-links > .page-number:active, .archive article.hentry .post-text .page-links > .page-number:hover, .archive article.hentry .post-text .page-links > .page-number:focus, .archive article.hentry .post-text .page-links > .page-number:active, .tag article.hentry .post-text .page-links > .page-number:hover, .tag article.hentry .post-text .page-links > .page-number:focus, .tag article.hentry .post-text .page-links > .page-number:active, .category article.hentry .post-text .page-links > .page-number:hover, .category article.hentry .post-text .page-links > .page-number:focus, .category article.hentry .post-text .page-links > .page-number:active, article.hentry #ak-blog-post .post-text .page-links > .page-number:hover, article.hentry #ak-blog-post .post-text .page-links > .page-number:focus, article.hentry #ak-blog-post .post-text .page-links > .page-number:active, .nav-previous:after, .nav-next:after, article.post-content .post-title .cat:after, #go-top span, .widget .widget-title, .widget .widgettitle, .widget.widget_calendar tbody a, .widget.widget_calendar tbody a i, a .widget.widget_calendar tbody i, .mp-testimonial-widget.block-slider #kt-pager-testimonial span:hover, .mp-testimonial-widget.block-slider #kt-pager-testimonial span:focus, .mp-testimonial-widget.block-slider #kt-pager-testimonial span:active, .mp-testimonial-widget.block-slider #kt-pager-testimonial .cycle-pager-active, .mp-testimonial-widget.block-slider .post-title h3:before, .block-slider .controls #kt-prev:hover i, .block-slider .controls #kt-prev:focus i, .block-slider .controls #kt-prev:active i, .block-slider .controls #kt-next:hover i, .block-slider .controls #kt-next:focus i, .block-slider .controls #kt-next:active i, .block-slider #kt-pager span:hover, .block-slider #kt-pager span:focus, .block-slider #kt-pager span:active, .block-slider #kt-pager .cycle-pager-active, .main-navigation .current_page_item > a:before, .main-navigation a .current_page_item > i:before, a .main-navigation .current_page_item > i:before, .main-navigation .current-menu-item > a:before, .main-navigation a .current-menu-item > i:before, a .main-navigation .current-menu-item > i:before, .main-navigation .current_page_ancestor > a:before, .main-navigation a .current_page_ancestor > i:before, a .main-navigation .current_page_ancestor > i:before, .main-navigation .current-menu-ancestor > a:before, .main-navigation a .current-menu-ancestor > i:before, a .main-navigation .current-menu-ancestor > i:before, .main-navigation .current_page_item > a:hover:before, .main-navigation a .current_page_item > i:hover:before, a .main-navigation .current_page_item > i:hover:before, .main-navigation .current_page_item > a:focus:before, .main-navigation a .current_page_item > i:focus:before, a .main-navigation .current_page_item > i:focus:before, .main-navigation .current_page_item > a:active:before, .main-navigation a .current_page_item > i:active:before, a .main-navigation .current_page_item > i:active:before, .main-navigation .current-menu-item > a:hover:before, .main-navigation a .current-menu-item > i:hover:before, a .main-navigation .current-menu-item > i:hover:before, .main-navigation .current-menu-item > a:focus:before, .main-navigation a .current-menu-item > i:focus:before, a .main-navigation .current-menu-item > i:focus:before, .main-navigation .current-menu-item > a:active:before, .main-navigation a .current-menu-item > i:active:before, a .main-navigation .current-menu-item > i:active:before, .main-navigation .current_page_ancestor > a:hover:before, .main-navigation a .current_page_ancestor > i:hover:before, a .main-navigation .current_page_ancestor > i:hover:before, .main-navigation .current_page_ancestor > a:focus:before, .main-navigation a .current_page_ancestor > i:focus:before, a .main-navigation .current_page_ancestor > i:focus:before, .main-navigation .current_page_ancestor > a:active:before, .main-navigation a .current_page_ancestor > i:active:before, a .main-navigation .current_page_ancestor > i:active:before, .main-navigation .current-menu-ancestor > a:hover:before, .main-navigation a .current-menu-ancestor > i:hover:before, a .main-navigation .current-menu-ancestor > i:hover:before, .main-navigation .current-menu-ancestor > a:focus:before, .main-navigation a .current-menu-ancestor > i:focus:before, a .main-navigation .current-menu-ancestor > i:focus:before, .main-navigation .current-menu-ancestor > a:active:before, .main-navigation a .current-menu-ancestor > i:active:before, a .main-navigation .current-menu-ancestor > i:active:before, .block-top-footer .widget .widget-title:after, .block-top-footer .widget .widgettitle:after, .contact-form input[type='submit'], .block-contact .maintitle-divider, .contact-detail .icon-area, .block-faq .maintitle-divider, .search-section .search-close, .search-section .search-close:visited, .alt-menu-box .menu-title, .woocommerce ul.products a.button, .woocommerce ul.products a i.button, a .woocommerce ul.products i.button, .woocommerce ul.products a i.button-outline, a .woocommerce ul.products i.button-outline, .woocommerce ul.products a.button-outline, .woocommerce ul.products .comments-area .comment-list .reply a, .comments-area .comment-list .reply .woocommerce ul.products a, .woocommerce ul.products .comments-area .comment-list .reply a i, .comments-area .comment-list .reply a .woocommerce ul.products i, .woocommerce ul.products a .comments-area .comment-list .reply i, a .comments-area .comment-list .reply .woocommerce ul.products i,.woocommerce #respond input#submit,.woocommerce button.button.alt,.woocommerce a.button,.woocommerce a i.button,a .woocommerce i.button,.woocommerce a i.button-outline,a .woocommerce i.button-outline,.woocommerce a.button-outline,.woocommerce .comments-area .comment-list .reply a,.comments-area .comment-list .reply .woocommerce a,.woocommerce .comments-area .comment-list .reply a i,.comments-area .comment-list .reply a .woocommerce i,.woocommerce a .comments-area .comment-list .reply i,a .comments-area .comment-list .reply .woocommerce i,.woocommerce button.button,.woocommerce button.button-outline,.woocommerce input.button,.woocommerce input.button-outline,.woocommerce .cart .button,.woocommerce .cart .button-outline,.woocommerce .cart .comments-area .comment-list .reply a,.comments-area .comment-list .reply .woocommerce .cart a,.woocommerce .cart .comments-area .comment-list .reply a i,.comments-area .comment-list .reply a .woocommerce .cart i,.woocommerce .cart a .comments-area .comment-list .reply i,a .comments-area .comment-list .reply .woocommerce .cart i,.woocommerce .cart input.button,.woocommerce .cart input.button-outline,.woocommerce a.button.alt,.woocommerce a i.button.alt,a .woocommerce i.button.alt,.woocommerce a i.alt.button-outline,a .woocommerce i.alt.button-outline,.woocommerce a.alt.button-outline,.woocommerce .comments-area .comment-list .reply a.alt,.comments-area .comment-list .reply .woocommerce a.alt,.woocommerce .comments-area .comment-list .reply a i.alt,.comments-area .comment-list .reply a .woocommerce i.alt,.woocommerce a .comments-area .comment-list .reply i.alt,a .comments-area .comment-list .reply .woocommerce i.alt,.woocommerce input.button.alt,.woocommerce input.alt.button-outline, .woocommerce #respond input#submit,.woocommerce a.button,.woocommerce a i.button,a .woocommerce i.button,.woocommerce a i.button-outline,a .woocommerce i.button-outline,.woocommerce a.button-outline,.woocommerce .comments-area .comment-list .reply a,.comments-area .comment-list .reply .woocommerce a,.woocommerce .comments-area .comment-list .reply a i,.comments-area .comment-list .reply a .woocommerce i,.woocommerce a .comments-area .comment-list .reply i,a .comments-area .comment-list .reply .woocommerce i,.woocommerce button.button,.woocommerce button.button-outline,.woocommerce input.button,.woocommerce input.button-outline {
			background-color: <?php echo esc_attr( $primary_color ); ?>
		}
		
		::-webkit-selection {background: <?php echo esc_attr( $primary_color ); ?>; } ::-moz-selection {background: <?php echo esc_attr( $primary_color ); ?>; } ::-ms-selection {background: <?php echo esc_attr( $primary_color ); ?>; } ::-o-selection {background: <?php echo esc_attr( $primary_color ); ?>; } ::selection {background: <?php echo esc_attr( $primary_color ); ?>; }

		.button-text, .button-text:before, pre, q:before, q:after, del, body.single article.hentry .post-text a, body.single article.hentry .post-text a i, a body.single article.hentry .post-text i, .page article.hentry .post-text a, .page article.hentry .post-text a i, a .page article.hentry .post-text i, #blog-post article.hentry .post-text a, #blog-post article.hentry .post-text a i, a #blog-post article.hentry .post-text i, .search article.hentry .post-text a, .search article.hentry .post-text a i, a .search article.hentry .post-text i, .archive article.hentry .post-text a, .archive article.hentry .post-text a i, a .archive article.hentry .post-text i, .tag article.hentry .post-text a, .tag article.hentry .post-text a i, a .tag article.hentry .post-text i, .category article.hentry .post-text a, .category article.hentry .post-text a i, a .category article.hentry .post-text i, article.hentry #ak-blog-post .post-text a, article.hentry #ak-blog-post .post-text a i, a article.hentry #ak-blog-post .post-text i,  .nav-previous:hover:before, .nav-previous:focus:before, .nav-previous:active:before, .nav-next:hover:before, .nav-next:focus:before, .nav-next:active:before, .comments-area .comment-list .reply a, .comments-area .comment-list .reply a i, a .comments-area .comment-list .reply i, .comments-area .comment-respond .logged-in-as a, .comments-area .comment-respond .logged-in-as a i, a .comments-area .comment-respond .logged-in-as i, .comments-area .comment-respond #email-notes, .comments-area .comment-respond .required, article.post-content .post-title .cat, .widget.widget_calendar tfoot a, .widget.widget_calendar tfoot a i, a .widget.widget_calendar tfoot i, .widget.widget_text .textwidget a, .widget.widget_text .textwidget a i, a .widget.widget_text .textwidget i, .mp-testimonial-widget.block-slider .controls .cycle-pager.cycle-pager-active, .mp-testimonial-widget.block-slider .post-text a, .mp-testimonial-widget.block-slider .post-text a i, a .mp-testimonial-widget.block-slider .post-text i, .block-slider .video-area .video-icon:hover i, .block-slider .video-area .video-icon:focus i, .block-slider .video-area .video-icon:active i, .main-navigation .current_page_item > a, .main-navigation a .current_page_item > i, a .main-navigation .current_page_item > i, .main-navigation .current-menu-item > a, .main-navigation a .current-menu-item > i, a .main-navigation .current-menu-item > i, .main-navigation .current_page_ancestor > a, .main-navigation a .current_page_ancestor > i, a .main-navigation .current_page_ancestor > i, .main-navigation .current-menu-ancestor > a, .main-navigation a .current-menu-ancestor > i, a .main-navigation .current-menu-ancestor > i, .wrap-testimonial .testimonial-item .divider i, .wrap-testimonial .post-text a, .wrap-testimonial .post-text a i, a .wrap-testimonial .post-text i, .block-about h3, .block-service .icon-group .icon-item .icon-holder i, .kt-contact-form-area label, .kt-contact-form-area .search-form .search-button, .search-form .kt-contact-form-area .search-button, .kt-contact-form-area .search-section .search-button, .search-section .kt-contact-form-area .search-button, .block-faq h3{
			color: <?php echo esc_attr( $primary_color ); ?>
		}

		button, input[type='button'], input[type='reset'], input[type='submit'], input[type='submit'], .button-outline, .comments-area .comment-list .reply a, .comments-area .comment-list .reply a i, a .comments-area .comment-list .reply i, kbd, tt, var, .page-numbers.current, .page-numbers:hover.current, .page-numbers:focus.current, .page-numbers:active.current, body.single article.hentry .post-text .page-links > .page-number, .page article.hentry .post-text .page-links > .page-number, #blog-post article.hentry .post-text .page-links > .page-number, .search article.hentry .post-text .page-links > .page-number, .archive article.hentry .post-text .page-links > .page-number, .tag article.hentry .post-text .page-links > .page-number, .category article.hentry .post-text .page-links > .page-number, article.hentry #ak-blog-post .post-text .page-links > .page-number, body.single article.hentry .post-text .page-links > .page-number:hover, body.single article.hentry .post-text .page-links > .page-number:focus, body.single article.hentry .post-text .page-links > .page-number:active, .page article.hentry .post-text .page-links > .page-number:hover, .page article.hentry .post-text .page-links > .page-number:focus, .page article.hentry .post-text .page-links > .page-number:active, #blog-post article.hentry .post-text .page-links > .page-number:hover, #blog-post article.hentry .post-text .page-links > .page-number:focus, #blog-post article.hentry .post-text .page-links > .page-number:active, .search article.hentry .post-text .page-links > .page-number:hover, .search article.hentry .post-text .page-links > .page-number:focus, .search article.hentry .post-text .page-links > .page-number:active, .archive article.hentry .post-text .page-links > .page-number:hover, .archive article.hentry .post-text .page-links > .page-number:focus, .archive article.hentry .post-text .page-links > .page-number:active, .tag article.hentry .post-text .page-links > .page-number:hover, .tag article.hentry .post-text .page-links > .page-number:focus, .tag article.hentry .post-text .page-links > .page-number:active, .category article.hentry .post-text .page-links > .page-number:hover, .category article.hentry .post-text .page-links > .page-number:focus, .category article.hentry .post-text .page-links > .page-number:active, article.hentry #ak-blog-post .post-text .page-links > .page-number:hover, article.hentry #ak-blog-post .post-text .page-links > .page-number:focus, article.hentry #ak-blog-post .post-text .page-links > .page-number:active, .contact-form input[type='submit'], article.hentry.sticky .post-content-inner-wrap:before, article.hentry.format-aside .post-content-inner-wrap:before, article.hentry.format-image .post-content-inner-wrap:before, article.hentry.format-video .post-content-inner-wrap:before, article.hentry.format-quote .post-content-inner-wrap:before, article.hentry.format-link .post-content-inner-wrap:before, article.hentry.format-gallery .post-content-inner-wrap:before, article.hentry.format-status .post-content-inner-wrap:before, article.hentry.format-audio .post-content-inner-wrap:before, article.hentry.format-chat .post-content-inner-wrap:before {
			border-color: <?php echo esc_attr( $primary_color ); ?>
		}
	</style>
	<?php
}
add_action( 'wp_head', 'reef_default_styles' );

/**
* Load customizer preview js file
*/
function reef_customize_preview_js() {
	wp_enqueue_script( 'reef-customize-preview', get_theme_file_uri( '/assets/js/customizer/customize-preview.js' ), array( 'jquery', 'customize-preview'), '1.0', true );
}
add_action( 'customize_preview_init', 'reef_customize_preview_js' );